Connector Preflight
POST
/v1/connectors/preflight/{connector_id}
const url = 'https://example.com/v1/connectors/preflight/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tenant_id":"example","ssot":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/connectors/preflight/example \ --header 'Content-Type: application/json' \ --data '{ "tenant_id": "example", "ssot": {} }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”connector_id
required
Connector Id
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ConnectorPreflightIn
object
tenant_id
required
Tenant Id
string
ssot
Ssot
object
key
additional properties
any
Examplegenerated
{ "tenant_id": "example", "ssot": {}}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ConnectorPreflightOut
object
connector_id
required
Connector Id
string
runtime_ready
required
Runtime Ready
boolean
runtime_mode
required
Runtime Mode
string
integration_mode
Integration Mode
string
missing_inputs
Missing Inputs
Array<string>
permission_hints
Permission Hints
Array<string>
next_actions
Next Actions
Array<string>
ssot_template
Ssot Template
object
key
additional properties
string
ssot_hints
Ssot Hints
object
key
additional properties
string
probe
Probe
object
key
additional properties
any
ready
required
Ready
boolean
Example
{ "integration_mode": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}